filepeak
Prev | Orchestra Opcodes and Operators | Next

## filepeak

filepeak — Returns the peak absolute value of a sound file.

## Description

Returns the peak absolute value of a sound file.

## Syntax

    ir filepeak ifilcod [, ichnl]

## Initialization

ifilcod -- sound file to be queried

ichnl (optional, default=0) -- channel to be used in calculating the peak value. Default is 0.

- ichnl = 0 returns peak value of all channels

- ichnl > 0 returns peak value of ichnl

## Performance

filepeak returns the peak absolute value of the sound file ifilcod.

## Examples

Here is an example of the filepeak opcode. It uses the file filepeak.csd, and mary.wav.

Example 136. Example of the filepeak opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o filepeak.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Print out the peak absolute value of the
      ; audio file "mary.wav".
      ipeak filepeak "mary.wav"
      print ipeak
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for 1 second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

The peak absolute value of the audio file “mary.wav” is 0.306902. So filepeak's output should include a line like this:

    instr 1:  ipeak = 0.307

## See Also

filelen, filenchnls, filesr

## Credits

Author: Matt Ingalls
July 1999

Example written by Kevin Conder.

New in Csound version 3.57

Prev | Up | Next
filenchnls | Home | filesr